## magithub 0.1.3

=== debian/changelog ===
magithub (0.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 14 Aug 2017 11:07:54 +0200

magithub (0.1.2+20170516.7fd7343-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_s.el_dependency.patch added (Closes: #870493)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Aug 2017 16:36:33 +0200

magithub (0.1.2+20170516.7fd7343-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs*
    - drop dependency on emacs-common

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 14:07:38 +0200

magithub (0.1.2+20170516.7fd7343-1) experimental; urgency=medium

  * Initial release (Closes: #864541)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Jun 2017 14:34:54 +0200
