=== debian/control ===
Source: magithub
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/vermiculus/magithub
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magithub
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-s
Recommends: emacs (>= 47.0)
Conflicts: emacs24
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: Magit interfaces for GitHub  
 Magithub is an interface to GitHub using the `hub' utility.
 .
 Integrated into Magit workflows, Magithub allows very easy,
 very basic GitHub repository management.
 Supported actions include:
 .
  - pushing brand-new local repositories up to GitHub
  - creating forks of existing repositories
  - submitting pull requests upstream
  - viewing and creating issues
 .
 Press `H' in the status buffer to get started -- happy hacking!
