## magithub 0.1.4

=== debian/changelog ===
magithub (0.1.4-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset refreshed
  * debian/control: S-V bump 4.0.0 -> 4.1.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 24 Dec 2017 14:32:13 +0100

magithub (0.1.3-2) unstable; urgency=medium

  * debian/docs: install also Org-Mode documentation (Closes: #873335)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 28 Aug 2017 23:48:18 +0200
