=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://github.com/vermiculus/magithub
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
@@ -17,7 +17,7 @@
 Conflicts: emacs24
 Enhances: emacs, emacs25
 Built-Using: ${misc:Built-Using}
-Description: Magit interfaces for GitHub  
+Description: Magit interfaces for GitHub
  Magithub is an interface to GitHub using the `hub' utility.
  .
  Integrated into Magit workflows, Magithub allows very easy,
