=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magithub-$1\.tar\.gz/ \
https://github.com/vermiculus/magithub/tags .*/v?(\d\S+)\.tar\.gz
