## magithub 0.1.7

=== debian/changelog ===
magithub (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 21:30:20 -0300

magithub (0.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #900822)
  * debian/patches/: patchset dropped
  * debian/control:
    - drop Depends on elpa-s (already managed)
    - Vcs-* fields updated pointing to salsa
    - Maintainer field updated
    - Build-Depends updated (texinfo and texlive added)
    - S-V bump 4.1.3 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Jun 2018 00:23:49 +0200

magithub (0.1.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 21:12:19 -0300

magithub (0.1.5-1) UNRELEASED; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Fix_s.el_dependency.patch dropped
      - 0001-Fix_package-version.patch added
  * debian/control: S-V bump 4.1.2 -> 4.1.3
  * debian/: dh bump 10 -> 11
  * debian/rules: override dh_auto_install

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 12 Jan 2018 15:12:24 +0100
