=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: magithub
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11~), dh-elpa, texinfo, texlive
+Standards-Version: 4.1.4
 Homepage: https://github.com/vermiculus/magithub
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/magithub
+Vcs-Git: https://salsa.debian.org/emacsen-team/magithub.git
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-magithub
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, elpa-s
+Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Conflicts: emacs24
 Enhances: emacs, emacs25
